<div class="section">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <h2 *ngIf="settingsAccount">User settings for [<b>{{settingsAccount.username}}</b>]</h2>

            <div class="alert alert-success" *ngIf="success">
                <strong>Settings saved!</strong>
            </div>

            <form name="form" role="form" (ngSubmit)="save()" #settingsForm="ngForm" *ngIf="settingsAccount" novalidate>

                <div class="form-group col-md-12">
                    <h2>Personal settings</h2>
                </div>
                <div class="settings-info col-md-12">
                    <div class="form-group col-md-6">
                        <label class="form-control-label" for="firstName">First
                            Name</label>
                        <input type="text" class="form-control" id="firstName" name="firstName"
                               placeholder="First name"
                               [(ngModel)]="settingsAccount.person.firstName" minlength=1 maxlength=50
                               #firstNameInput="ngModel"
                               required>
                        <div *ngIf="firstNameInput.dirty && firstNameInput.invalid">
                            <small class="form-text text-danger"
                                   *ngIf="firstNameInput.errors.required">
                                Your first name is required.
                            </small>
                            <small class="form-text text-danger"
                                   *ngIf="firstNameInput.errors.minlength">
                                Your first name is required to be at least 1 character.
                            </small>
                            <small class="form-text text-danger"
                                   *ngIf="firstNameInput.errors.maxlength">
                                Your first name cannot be longer than 50 characters.
                            </small>
                        </div>
                    </div>
                    <div class="form-group col-md-6">
                        <label class="form-control-label" for="lastName">Last Name</label>
                        <input type="text" class="form-control" id="lastName" name="lastName"
                               placeholder="Last name"
                               [(ngModel)]="settingsAccount.person.lastName" minlength=1 maxlength=50
                               #lastNameInput="ngModel"
                               required>
                        <div *ngIf="lastNameInput.dirty && lastNameInput.invalid">
                            <small class="form-text text-danger"
                                   *ngIf="lastNameInput.errors.required">
                                Your last name is required.
                            </small>
                            <small class="form-text text-danger"
                                   *ngIf="lastNameInput.errors.minlength">
                                Your last name is required to be at least 1 character.
                            </small>
                            <small class="form-text text-danger"
                                   *ngIf="lastNameInput.errors.maxlength">
                                Your last name cannot be longer than 50 characters.
                            </small>
                        </div>
                    </div>
                </div>

                <div class="settings-info col-md-12">
                    <div class="form-group col-md-6">
                        <label class="form-control-label" for="title">Title</label>
                        <input type="text" class="form-control" id="title" name="title"
                               placeholder="title" [(ngModel)]="settingsAccount.person.title" maxlength="254" title
                               required>
                    </div>
                    <div class="form-group col-md-6">
                        <label class="form-control-label" for="email">Email</label>
                        <input type="email" class="form-control" id="email" name="email"
                               placeholder="email" [(ngModel)]="settingsAccount.email" minlength="5" maxlength="254"
                               #emailInput="ngModel" email
                               required>
                        <div *ngIf="emailInput.dirty && emailInput.invalid">
                            <small class="form-text text-danger"
                                   *ngIf="emailInput.errors.required">
                                Your email is required.
                            </small>
                            <small class="form-text text-danger"
                                   *ngIf="emailInput.errors.email">
                                Your email is invalid.
                            </small>
                            <small class="form-text text-danger"
                                   *ngIf="emailInput.errors.minlength">
                                Your email is required to be at least 5 characters.
                            </small>
                            <small class="form-text text-danger"
                                   *ngIf="emailInput.errors.maxlength">
                                Your email cannot be longer than 100 characters.
                            </small>
                        </div>
                    </div>
                </div>
                <div class="settings-info col-md-12">
                    <div class="form-group col-md-6">
                        <label class="form-control-label" for="phoneNumber">Phone number</label>
                        <input type="text" class="form-control" id="phoneNumber" name="phoneNumber"
                               placeholder="phoneNumber" [(ngModel)]="settingsAccount.person.phoneNumber"
                               maxlength="254">
                    </div>
                </div>
                <div class="form-group col-md-12">
                    <h2>Institution settings</h2>
                </div>
                <div class="settings-info col-md-12">
                    <div class="form-group col-md-6">
                        <label class="form-control-label" for="name">Name</label>
                        <input type="text" class="form-control" id="name" name="name"
                               placeholder="name" [(ngModel)]="settingsAccount.person.institution.name" maxlength="254">
                    </div>
                    <div class="form-group col-md-6">
                        <label class="form-control-label" for="street">Street</label>
                        <input type="text" class="form-control" id="street" name="street"
                               placeholder="street" [(ngModel)]="settingsAccount.person.institution.address.street"
                               maxlength="254">
                    </div>
                </div>
                <div class="settings-info col-md-12">
                    <div class="form-group col-md-6">
                        <label class="form-control-label" for="city">City</label>
                        <input type="text" class="form-control" id="city" name="city"
                               placeholder="city" [(ngModel)]="settingsAccount.person.institution.address.city"
                               maxlength="254">
                    </div>

                    <div class="form-group col-md-6">
                        <label class="form-control-label" for="street">Zipcode</label>
                        <input type="text" class="form-control" id="zipCode" name="zipCode"
                               placeholder="zipCode" [(ngModel)]="settingsAccount.person.institution.address.zipCode"
                               maxlength="254">
                    </div>
                </div>
                <div class="settings-info col-md-12">
                    <div class="form-group col-md-6">
                        <label class="form-control-label" for="country">Country</label>
                        <input type="text" class="form-control" id="country" name="country"
                               placeholder="country" [(ngModel)]="settingsAccount.person.institution.address.country"
                               maxlength="254">
                    </div>
                    <div class="form-group col-md-6">
                        <label class="form-control-label" for="dic">DIC</label>
                        <input type="text" class="form-control" id="dic" name="dic"
                               placeholder="dic" [(ngModel)]="settingsAccount.person.institution.dic" maxlength="254">
                    </div>
                </div>
                <div class="settings-info col-md-12">
                    <div class="form-group col-md-6">
                        <label class="form-control-label" for="ico">ICO</label>
                        <input type="text" class="form-control" id="ico" name="ico"
                               placeholder="ico" [(ngModel)]="settingsAccount.person.institution.ico" maxlength="254">
                    </div>
                </div>

                <button type="submit" [disabled]="settingsForm.form.invalid" class="btn btn-primary">
                    Save
                </button>
            </form>
        </div>
    </div>

</div>
